using System.Linq;
using FluentAssertions;
using NUnit.Framework;

namespace E2ETests.Subscriber;

[TestFixture]
public class SubscriberTestHappyPath : SubscriberTestBase {
    [Test]
    public void GetAvailableSubmissions_WithDestinationId_ShouldReturnSubmissionsForPickupDto() {
        // Act
        var submissions = base.subscriber.GetAvailableSubmissions(desitnationId, 0, 100).ToList();

        // Assert
        submissions.Count().Should().BeGreaterThan(0);
        submissions.All(s => s.DestinationId == desitnationId).Should().BeTrue();
    }

    [Test]
    public void GetAvailableSubmissions_WithOutDestinationId_ShouldReturnSubmissionsForPickupDto() {
        // Act
        var submissions = base.subscriber.GetAvailableSubmissions(null, 0, 100).ToList();

        // Assert
        submissions.Count().Should().BeGreaterThan(0);
    }
}
